package com.zulutrade.sample.binaryoptions.trading.client.trading.dto.rest.response;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.Position;
import com.zulutrade.sample.binaryoptions.trading.client.trading.dto.TradingError;

/**
 * PositionResponse, the response we get when we send a position opening request.
 * Contains the position that was opened, or the TradingError in case of error.
 *
 * @author ZuluTrade
 * @version 1.0
 * @since 2015-06-15
 */
@JsonAutoDetect
@JsonIgnoreProperties(ignoreUnknown=true)
public class PositionResponse implements TradingResponse{

	boolean success;
	TradingError error; 
	Position result;
	
	public boolean isSuccess() {
		return success;
	}
	
	public void setSuccess(boolean success) {
		this.success = success;
	}
	
	public TradingError getError() {
		return error;
	}
	
	public void setError(TradingError error) {
		this.error = error;
	}
	
	public Position getResult() {
		return result;
	}
	
	public void setResult(Position result) {
		this.result = result;
	}

	@Override
	public String toString() {
		return "PositionsResponse [success=" + success + ", error=" + error
				+ ", result=" + result + "]";
	}

}
